# Module proper_gen_next

- Data Types
- Function Index
- Function Details

Copyright © 2017-2021 Andreas Löscher and Kostis Sagonas

Authors: Andreas Löscher.

## Data Types

### depth()

    depth() = pos_integer()

### matcher()

    matcher() =
        fun((term(), proper_types:raw_type(), temperature()) -> term())

### nf()

    nf() = fun((term(), nf_temp()) -> proper_types:type())

### nf_temp()

    nf_temp() = temperature() | {depth(), temperature()} | null

### temperature()

    temperature() = float()

## Function Index

cleanup/0 |
from_proper_generator/1 |
init/0 |
match/3 |
set_matcher/2 |
set_user_nf/2 |
update_caches/1 |

## Function Details

### cleanup/0

    cleanup() -> ok

### from_proper_generator/1

    from_proper_generator(RawGenerator :: proper_types:type()) ->
                             proper_target:next_fun()

### init/0

    init() -> ok

### match/3

    match(Base :: term(),
          Type :: proper_types:raw_type(),
          Temp :: temperature()) ->
             term()

### set_matcher/2

    set_matcher(Type :: proper_types:type(), Matcher :: matcher()) ->
                   proper_types:type()

### set_user_nf/2

    set_user_nf(Type :: proper_types:type(), NF :: nf()) ->
                   proper_types:type()

### update_caches/1

    update_caches(X1 :: accept | reject) -> ok

Generated by EDoc